package com.meeting.demo.dependency.menu.item;

import com.huawei.hwmconf.presentation.dependency.menu.IConfMenu;
import com.meeting.demo.R;
import com.meeting.demo.utils.VoiceRecordUtils;

public class VoiceRecordMenu implements IConfMenu {

    @Override
    public int getId() {
        return R.id.conf_menu_custom_voice_record;
    }

    @Override
    public int getImage() {
        return R.drawable.hwmconf_toolbar_btn_camera;
    }

    @Override
    public int getTextRes() {
        if (VoiceRecordUtils.isVoiceRecordChecked()) {
            return R.string.menu_voice_record_turn_off;
        }
        return R.string.menu_voice_record_turn_on;
    }

    @Override
    public int getUnCheckedText() {
        if (VoiceRecordUtils.isVoiceRecordChecked()) {
            return R.string.menu_voice_record_turn_off;
        }
        return R.string.menu_voice_record_turn_on;
    }

    @Override
    public int getCheckedText() {
        if (VoiceRecordUtils.isVoiceRecordChecked()) {
            return R.string.menu_voice_record_turn_off;
        }
        return R.string.menu_voice_record_turn_on;
    }
}
